/* eslint-disable */
/**liuwh
 * 5/29/2020, 9:55:19 AM
 * doc comment for the file goes here
 */

/** 绩效总览 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Row, Col, Divider } from 'antd';
import TableView from '../../../common/TableView';
import SearchFormView from '../../../common/SearchFormView';
import { createHashHistory } from 'history';
import fetch from '../../../../api/request';
import './index.scss';

const history = createHashHistory();

export default class MeritsOverview extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      formData: {
        __key: Date.now(),
        page: 1,
        size: 10,
        keyWord: ''
      },
    };
  }

  componentDidMount() {


  }

  setFormData = data => {
    console.log('form', data);
    this.setState({
      formData: data,
    });
  }

  linkDetail = (item) => {
    let { userId, countMonth } = item;
    history.push(`/merits/meritsOverview/meritsDetail/${userId}/${countMonth}`)
  }

  renderColumns = () => {
    return [
      { title: '序号', dataIndex: 'index' },
      { title: '姓名', dataIndex: 'userName' },
      { title: '部门', dataIndex: 'userDeptName' },
      { title: '岗位', dataIndex: 'meritsPostName' },
      { title: '考评月份', dataIndex: 'countMonth' },
      { title: '总任务数', dataIndex: 'taskNumber' },
      { title: '总缺陷数', dataIndex: 'defectNumber' },
      { title: '考评得分(分)', dataIndex: 'meritsGrade' },
      {
        title: '操作', dataIndex: 'operation', render: (cur, item) => {
          return <Row>
            <a onClick={() => this.linkDetail(item)}>详情</a>
          </Row>
        }
      },
    ];
  }



  render() {
    const { formData } = this.state;

    let tableParams = {
      url: `api/merits/assess/queryMerits`,
      formData,
      key: formData.__key,
      columns: this.renderColumns(),
      extraFromData: {},
      setFormData: this.setFormData
    }
    return (
      <div className="merits-overview-main">
        <SearchFormView
          formData={formData}
          setFormData={this.setFormData}
          data={[
            { type: 'select', name: '部门', label: '部门', key: 'bumen', list: [{ name: '1', value: '部门1' }, { name: '2', value: '部门2' }], },
            { type: 'select', name: '岗位', label: '岗位', key: 'gangwei', list: [{ name: '1', value: '岗位1' }, { name: '2', value: '岗位2' }], },
            { type: 'input', name: '姓名', label: '姓名', key: 'name' },
            {
              type: 'monthPicker',
              label: '考评月份',
              name: '考评月份',
              key: 'kpyf',
            },
          ]} />
        <TableView {...tableParams} />
      </div>
    )
  }
}

